:root {
  --din:'DINPro';
  --lat: "Lato", sans-serif;

  --primary:#005ca7;
  --siva:#FFFFFF17;
  --light:#878F57;
  --textwhite:#F6F8EB;
  --landing-width:84.17vw;
  --landing-width-mobile:86vw;
  --boxshadow:0px 0px 30px 0px #0000000F;


--d10:0.52vw;
   --d11:0.57vw;
 
   --d12:0.63vw;
   --d13:0.68vw;
    --d14:0.73vw;
    --d15:0.78vw;
    --d16:0.83vw;
    --d18:0.94vw;
       --d19:0.99vw;
    --d20:1.04vw;
    --d22:1.15vw;
    --d24:1.25vw;
    --d25:1.3vw;
    --d28:1.46vw;
    --d30:1.56vw;
     --d32:1.67vw;
    --d34:1.77vw;
    --d36:1.88vw;
    --d44:2.29vw;
    --d40:2.08vw;
    --d48:2.5vw;
    --d54:2.81vw;
    --d56:2.92vw;
    --d64:3.33vw;
    --d70:3.65vw;
       --d75:3.91vw;
    --d80:4.17vw;
    --d84:4.38vw;
    --d100:5.21vw;
    --d110:5.73vw;
    --d120:6.25vw;
    --d156:8.13vw;
    --d904:47.08vw;


      --m10:2.78vw;
    --m11:3.06vw;
    --m12:3.33vw;
    --m13:3.61vw;
    --m14:3.89vw;
    --m15:4.17vw;
    --m16:4.44vw;
    --m18:5vw;
    --m20:5.56vw;
    --m22:6.11vw;
    --m24:6.67vw;
    --m25:6.94vw;
    --m28:7.78vw;
    --m30:8.33vw;
    --m32:8.89vw;
    --m34:9.44vw;
    --m36:10vw;
    --m40:11.11vw;
    --m44:12.22vw;
    --m45:12.50vw;
    --m48:13.33vw;
    --m56:15.56vw;
    --m64:17.78vw;
    --m68:18.89vw;
    --m80:22.22vw;
    --mmt: 27.78vw;

  






 

}



.corporate-main{
    width: var(--landing-width);
    margin: auto;
}

.main-heading{
    font-family: var(--din);
    font-weight: 500;
    font-size: var(--d64);
    color: white;
    margin-top: 0;
    text-align: center;
    margin-bottom:var(--d44);
    
}



.sub-heading{
    font-family: var(--lat);
    font-weight: 300;
    font-size: var(--d24);
    color: white;
    margin-top: 0;
    text-align: center;
    margin-bottom:var(--d64);
    text-transform: uppercase;
    
}



.lower-mask{


background: linear-gradient(0deg, #000000 25.96%, rgba(0, 0, 0, 0.45) 68.27%, rgba(102, 102, 102, 0) 100%);


}

.corporate-cards{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.corporate-card {
    
    width:39.84vw;
    height:22.01vw ;
    margin-bottom: var(--d100);
    
}


.corporate-card .image{
    background-size: cover;
    width:39.84vw;
    height:22.01vw ;
    position: relative;
}


.corporate-card .image {
  position: relative;
  
  overflow: hidden; /* Sprečava da se blur širi van ivica diva */
  display: flex;
  align-items: center;
  justify-content: center;
}

.corporate-card .image::before {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;

  background-size: cover;
  z-index: -1; /* Postavlja sliku iza teksta */
  
  /* Efekti */
  filter: grayscale(100%) blur(5px);
  transition: filter 0.5s ease;
}


.corporate-card .image1::before {

  background-image: url('./img/cor1.png');

}


.corporate-card .image2::before {

  background-image: url('./img/cor2.png');
 
}

.corporate-card .image3::before {

  background-image: url('./img/cor3.png');
  
}

.corporate-card .image4::before {

  background-image: url('./img/cor4.png');
  
}


.image5::before {

  background-image: url('./img/cardfull.png');
  
}




/* Na hover diva, mijenjamo pseudo-element */
.corporate-card .image:hover::before {
  filter: grayscale(0%) blur(0);
}


.corporate-card .image .overlay{
    /* Background */

position: absolute;
width: 39.84vw;
height: 8.50vw;
left: 0;
bottom: 0;
z-index: 8;

background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.5) 40%, #000000 100%);

}

.corporate-card .image5{
  width: var(--landing-width);
}

.corporate-card .image5 .overlay{
  width: var(--landing-width);
}

.image h2{
    color: white;
    font-family: var(--din);
    font-weight: 400;
    font-size: var(--d20);
    text-decoration: underline;
    position: absolute;
    left: var(--d30);
    bottom: var(--d44);
    z-index: 9;
    width: 36.25vw;
    border-top: 1px solid var(--primary);
    padding-top:var(--d28);

     cursor: pointer;
    
}


.corporate-card a{
     color: white;
    font-family: var(--lat);
    font-weight: 600;
    font-size: var(--d20);
    text-decoration: none;
    text-align: center;
    width: fit-content;
    margin: auto;
    display: block;
    margin-top: var(--d28);
    cursor: pointer;

}













.katalog-proizvoda{
    background-image: url('./img/katalogkorporate.png');
    background-size: cover;
    width: var(--landing-width);
    height: 25.89vw;
    margin: auto;
    margin-top: 6.88vw;
    margin-bottom: 5vw;

}

.katalog-proizvoda h1{
    color: white;
    font-size: var(--d64);
    font-weight: 400;
    line-height: var(--d64);
    padding-top: 6.93vw;
       margin: 0;
    margin-left: 3.96vw;
 
}

.katalog-proizvoda button{
    background: var(--primary);
    color: white;
    font-family: var(--lat);
    font-weight: 500;
    width: 14.17vw;
    height:4.79vw ;
     margin-left: 3.96vw;
     margin-top: 3.91vw;
   
   
    
     border: none;
     line-height: var(--d25);
     font-size: var(--d20);

     cursor:pointer;

}


.katalog-proizvoda button:hover{
  background-color: white;
  color: var(--primary);
  
}

.bottom-shadow{
   
    box-shadow: 0 -50px 100px -20px #003478;
    clip-path: inset(-200px 0px 0px 0px);
    width: 100vw;
    height: 5vw;
    background: transparent;
    
}





  @media screen and (max-width:900px){
    .corporate-main{
      margin-top: 24vw;
      width: 85vw;
    }
    .main-heading{
      font-size: var(--m15);
      margin-bottom: var(--m22);
    }
    .sub-heading{
      font-size: 2.22vw;
      line-height: var(--m15);
    }
    .corporate-card .image5{
      width: 85vw;
      height: 39.17vw;
    }
    .corporate-cards{
      margin-top: var(--m28);
    }

    .corporate-card:first-of-type{
      height: 39.17vw;

      
    }

    .image h2{
     font-size: 2.22vw; 
     padding-top: 2.22vw;
     left: var(--m15);
    }

    .corporate-cards .corporate-card{
      width: 71.39vw;
      height: 59.44vw;
      margin: auto;
      margin-bottom:var(--m68) ;
    }

    .corporate-cards .corporate-card .image{
      width: 71.39vw;
      height: 59.44vw;
    }

    .corporate-card .image .overlay{
      width: 100%;
    }

    .corporate-cards .corporate-card h2{
      left: var(--m20);
      padding-top: var(--m15);
      width: 54.72vw;
    }

    .corporate-card a{
      margin-top: var(--m12);
      font-size: var(--m11);
    }








.katalog-proizvoda{

        background-image: url(./img/katalogkorporate.png);
    background-size: cover;
    width: 100vw;
    height: 49.72vw;
    margin-top: var(--m32);
    margin-bottom: 0;

}



.katalog-proizvoda h1 {
    color: white;
    font-size: var(--m24);
    font-weight: 400;
    line-height: var(--m28);
    padding-top: var(--m40);
    margin: 0;
    margin-left:var(--m30);
    width: 60%;
}

.katalog-proizvoda button{
        width: 20.17vw;
    height: 6.79vw;
    margin-left: var(--m30);
    margin-top: 3.91vw;
    font-size: 1.67vw;

}


.bottom-shadow {
    box-shadow:none;
    clip-path: none;
    width: 100vw;
    height:8.06vw;
    background-image: url('./img/bottmshadow.svg');
    background-size: cover;
}










  }
